diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_add.py
index e7094cb9f..7c02d61fa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_add.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -20,108 +21,44 @@ from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from pgadmin.utils import server_utils as server_utils
+from . import utils as columns_utils
 
 
 class ColumnAddTestCase(BaseTestGenerator):
     """This class will add new column under table node."""
-    scenarios = [
-        ('Add column', dict(
-            url='/browser/column/obj/',
-            data={
-                'cltype': "\"char\"",
-                'attacl': [],
-                'is_primary_key': False,
-                'attnotnull': False,
-                'attlen': None,
-                'attprecision': None,
-                'attoptions':[],
-                'seclabels':[],
-            })),
-        ('Add Identity column with Always', dict(
-            url='/browser/column/obj/',
-            server_min_version=100000,
-            skip_msg='Identity column are not supported by EPAS/PG 10.0 '
-                     'and below.',
-            data={
-                'cltype': 'bigint',
-                'attacl': [],
-                'is_primary_key': False,
-                'attnotnull': True,
-                'attlen': None,
-                'attprecision': None,
-                'attoptions': [],
-                'seclabels': [],
-                'colconstype': 'i',
-                'attidentity': 'a',
-                'seqincrement': 1,
-                'seqstart': 1,
-                'seqmin': 1,
-                'seqmax': 10,
-                'seqcache': 1,
-                'seqcycle': True
-            })),
-        ('Add Identity column with As Default', dict(
-            url='/browser/column/obj/',
-            col_data_type='bigint',
-            server_min_version=100000,
-            skip_msg='Identity column are not supported by EPAS/PG 10.0 '
-                     'and below.',
-            data={
-                'cltype': 'bigint',
-                'attacl': [],
-                'is_primary_key': False,
-                'attnotnull': True,
-                'attlen': None,
-                'attprecision': None,
-                'attoptions': [],
-                'seclabels': [],
-                'colconstype': 'i',
-                'attidentity': 'd',
-                'seqincrement': 2,
-                'seqstart': 2,
-                'seqmin': 2,
-                'seqmax': 2000,
-                'seqcache': 1,
-                'seqcycle': True
-            })),
-        ('Add Generated column', dict(
-            url='/browser/column/obj/',
-            col_data_type='bigint',
-            server_min_version=120000,
-            skip_msg='Generated column are not supported by EPAS/PG 12.0 '
-                     'and below.',
-            data={
-                'cltype': 'bigint',
-                'attacl': [],
-                'is_primary_key': False,
-                'attnotnull': True,
-                'attlen': None,
-                'attprecision': None,
-                'attoptions': [],
-                'seclabels': [],
-                'colconstype': 'g',
-                'genexpr': '100 * 100'
-            })),
-    ]
+    url = '/browser/column/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_create",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
 
-        if hasattr(self, 'server_min_version'):
+        # Check DB version
+        if "server_min_version" in self.data:
             server_con = server_utils.connect_server(self, self.server_id)
             if not server_con["info"] == "Server connected.":
                 raise Exception("Could not connect to server to add "
                                 "a table.")
-            if server_con["data"]["version"] < self.server_min_version:
-                self.skipTest(self.skip_msg)
+            if server_con["data"]["version"] < \
+                    self.data["server_min_version"]:
+                self.skipTest(self.data["skip_msg"])
 
+        # Create db connection
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -129,6 +66,8 @@ class ColumnAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
@@ -136,19 +75,34 @@ class ColumnAddTestCase(BaseTestGenerator):
 
     def runTest(self):
         """This function will add column under table node."""
-        self.column_name = "test_column_add_%s" % (str(uuid.uuid4())[1:8])
-        self.data.update({
-            'name': self.column_name
-        })
-
-        # Add table
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.table_id) + '/',
-            data=json.dumps(self.data),
-            content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        if "name" in self.data:
+            self.data["name"] = self.data["name"] + (str(uuid.uuid4())[1:8])
+
+        if self.is_positive_test:
+            response = columns_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            self.assertIsNotNone(columns_utils.verify_column
+                                 (self.server, self.db_name,
+                                  self.data["name"]),
+                                 "Column not found")
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = columns_utils.api_create(self)
+            else:
+                if 'table_id' in self.data:
+                    self.table_id = self.data['table_id']
+
+                response = columns_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete.py
index aa03afd51..6bf9995b8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -23,11 +24,17 @@ from . import utils as columns_utils
 
 class ColumnDeleteTestCase(BaseTestGenerator):
     """This class will delete column under table node."""
-    scenarios = [
-        ('Delete column Node URL', dict(url='/browser/column/obj/'))
-    ]
+    url = "/browser/column/obj/"
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_delete",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -36,6 +43,8 @@ class ColumnDeleteTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -43,10 +52,14 @@ class ColumnDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create column
         self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
@@ -54,20 +67,49 @@ class ColumnDeleteTestCase(BaseTestGenerator):
                                                      self.table_name,
                                                      self.column_name)
 
-    def runTest(self):
-        """This function will drop column under table node."""
+        self.column_name_1 = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+
+        self.column_id_1 = columns_utils.create_column(self.server,
+                                                       self.db_name,
+                                                       self.schema_name,
+                                                       self.table_name,
+                                                       self.column_name_1)
+        # Verify column creation
         col_response = columns_utils.verify_column(self.server, self.db_name,
                                                    self.column_name)
         if not col_response:
             raise Exception("Could not find the column to drop.")
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id) + '/' +
-                                      str(self.column_id),
-                                      follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        col_response = columns_utils.verify_column(self.server, self.db_name,
+                                                   self.column_name_1)
+        if not col_response:
+            raise Exception("Could not find the column to drop.")
+
+    def runTest(self):
+        """This function will drop column under table node."""
+
+        if self.is_positive_test:
+            if self.is_list:
+                self.data["ids"] = [self.column_id, self.column_id_1]
+                response = columns_utils.api_delete(self, "")
+            else:
+                response = columns_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = columns_utils.api_delete(self)
+            else:
+                if 'column_id' in self.data:
+                    self.column_id = self.data['column_id']
+                response = columns_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_dependencies_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_dependencies_dependents.py
new file mode 100644
index 000000000..c02cbc418
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_dependencies_dependents.py
@@ -0,0 +1,109 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as columns_utils
+
+
+class ColumnGetDependenciesDependentsTestCase(BaseTestGenerator):
+    """This class will get column dependencies/dependents under table node."""
+    url = '/browser/column/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_dependencies_dependents",
+                                         columns_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create column
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id = columns_utils.create_column(self.server,
+                                                     self.db_name,
+                                                     self.schema_name,
+                                                     self.table_name,
+                                                     self.column_name)
+
+        # Create column
+        self.column_name_1 = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id_1 = columns_utils.create_column(self.server,
+                                                       self.db_name,
+                                                       self.schema_name,
+                                                       self.table_name,
+                                                       self.column_name_1)
+
+    def runTest(self):
+        """This function will fetch the column dependencies/dependents
+        under table node."""
+        if self.is_positive_test:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+                response = columns_utils.api_get(self)
+            else:
+                self.url = self.url + 'dependency/'
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+            else:
+                self.url = self.url + 'dependency/'
+
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(
+                               self.mock_data["return_value"])):
+                    response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get.py
index 34e696934..3f302bb5e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -23,11 +24,17 @@ from . import utils as columns_utils
 
 class ColumnGetTestCase(BaseTestGenerator):
     """This class will get column under table node."""
-    scenarios = [
-        ('Fetch columns under table node', dict(url='/browser/column/obj/'))
-    ]
+    url = '/browser/column/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_get",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -36,6 +43,8 @@ class ColumnGetTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -43,27 +52,56 @@ class ColumnGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create column
         self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
                                                      self.table_name,
                                                      self.column_name)
+        if self.is_list:
+            # Create column
+            self.column_name_1 = "test_column_delete_%s" % \
+                                 (str(uuid.uuid4())[1:8])
+            self.column_id_1 = columns_utils.create_column(self.server,
+                                                           self.db_name,
+                                                           self.schema_name,
+                                                           self.table_name,
+                                                           self.column_name_1)
 
     def runTest(self):
         """This function will fetch the column under table node."""
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) +
-                                   '/' + str(self.server_id) + '/' +
-                                   str(self.db_id) + '/' +
-                                   str(self.schema_id) + '/' +
-                                   str(self.table_id) + '/' +
-                                   str(self.column_id),
-                                   follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        if self.is_positive_test:
+            if self.is_list:
+                response = columns_utils.api_get(self, "")
+            else:
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    if self.is_list:
+                        response = columns_utils.api_get(self, "")
+                    else:
+                        response = columns_utils.api_get(self)
+            else:
+                if 'column_id' in self.data:
+                    self.column_id = self.data['column_id']
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_nodes.py
new file mode 100644
index 000000000..96a0f8af4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_nodes.py
@@ -0,0 +1,99 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as columns_utils
+
+
+class ColumnGetNodesTestCase(BaseTestGenerator):
+    """This class will get column node/nodes under table node."""
+    url = '/browser/column/nodes/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_get_nodes",
+                                         columns_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create column
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id = columns_utils.create_column(self.server,
+                                                     self.db_name,
+                                                     self.schema_name,
+                                                     self.table_name,
+                                                     self.column_name)
+
+        # Create column
+        self.column_name_1 = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id_1 = columns_utils.create_column(self.server,
+                                                       self.db_name,
+                                                       self.schema_name,
+                                                       self.table_name,
+                                                       self.column_name_1)
+
+    def runTest(self):
+        """This function will fetch the column node/nodes under table node."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = columns_utils.api_get(self, "")
+            else:
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if 'column_id' in self.data:
+                self.column_id = self.data['column_id']
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
